Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » I2S » Functions

Initialization and de-initializations functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_i2s_init (i2s_handle_t *p_i2s)
| Initialize the I2S according to the specified parameters in the i2s_init_t and initialize the associated handle. More...
hal_status_t | hal_i2s_deinit (i2s_handle_t *p_i2s)
| De-initialize the I2S peripheral. More...
void | hal_i2s_msp_init (i2s_handle_t *p_i2s)
| Initialize the I2S MSP. More...
void | hal_i2s_msp_deinit (i2s_handle_t *p_i2s)
| De-initialize the I2S MSP. More...

## Detailed Description

Initialization and de-initializations functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the I2Sx peripheral:

          (+) User must implement hal_i2s_msp_init() function in which he configures
              all related peripherals resources (GPIO, DMA, IT and NVIC ).

          (+) Call the function hal_i2s_init() to configure the selected device with
              the selected configuration:
            (++) Data Size
            (++) Clock Polarity
            (++) Audio Frequency

          (+) Call the function hal_i2s_deinit() to restore the default configuration
              of the selected I2Sx peripheral.

## Function Documentation

## ◆ hal_i2s_deinit()

hal_status_t hal_i2s_deinit | ( | i2s_handle_t * | p_i2s | ) |

De-initialize the I2S peripheral.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_i2s_init()

hal_status_t hal_i2s_init | ( | i2s_handle_t * | p_i2s | ) |

Initialize the I2S according to the specified parameters in the i2s_init_t and initialize the associated handle.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_i2s_msp_deinit()

void hal_i2s_msp_deinit | ( | i2s_handle_t * | p_i2s | ) |

De-initialize the I2S MSP.

Note
  This function should not be modified. When the callback is needed, the hal_i2s_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.

## ◆ hal_i2s_msp_init()

void hal_i2s_msp_init | ( | i2s_handle_t * | p_i2s | ) |

Initialize the I2S MSP.

Note
  This function should not be modified. When the callback is needed, the hal_i2s_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.